purescript-0.15.15: PureScript Programming Language Compiler

Safe Haskell | None
Language | Haskell2010

Language.PureScript.Glob

# Documentation

data PSCGlobs #

Constructors

PSCGlobs |
Fields pscInputGlobs :: [FilePath] pscInputGlobsFromFile :: Maybe FilePath pscExcludeGlobs :: [FilePath] pscWarnFileTypeNotFound :: FilePath -> IO ()

toInputGlobs :: PSCGlobs -> IO [FilePath] #

inputGlobsFromFile :: Maybe FilePath -> IO [FilePath] #

globWarningOnMisses :: (String -> IO ()) -> [FilePath] -> IO [FilePath] #

warnFileTypeNotFound :: String -> String -> IO () #